local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("Mounted", "enUS", true)
if not L then return end

--======Special locations======--
L["Temple of Ahn'Qiraj"] = true
L["Krasus' Landing"] = true
L["The Underbelly"] = true
L["SpeedFast"] = "extremely%s+fast"
L["SpeedMedium"] = "very%s+fast"

--======Config======--
L["DBerror"] = "Mount priority database reset due to database error in previous version of Mounted!"

-- FAQ
L["FAQheader"] = "Macro Tags"
L["FAQdesc"] = [[Here are tags you may use to customize the above macros:
    <ff> == Random Flying Mount (fastest speed increase)
    <f310> == Random Flying Mount (310% speed increase)
    <f280> == Random Flying Mount (280% speed increase)
    <f60> == Random Flying Mount (60% speed increase)
    <gf> == Random Ground Mount (fastest speed increase)
    <g100> == Random Ground Mount (100% speed increase)
    <g60> == Random Ground Mount (60% speed increase)
    <g0> == Random Ground Mount (0% speed increase)
    <gaq> == Random Ahn'Qiraj Mount
    <s#> == will be replaced with the spellname of spellid #
                       (will not insert rank so will scale)]]

--Default Macros
L["Default"] = true
L["Default Dismount"] = true
L["New"] = true

--Macro options
L['Ground'] = true
L['Flight'] = true
L["Ahn'Qiraj"] = true
L['Select'] = "Select Macro:"
L['NameError'] = '"%s" is unavailable as a macro name for this type.'
L['Delete Macro'] = true
L['Will delete the selected macro and revert to the default macro.'] = true
L['Edit Macro'] = true
L['Click to edit current macro.'] = true
L["Combat"] = true
L["Macro length error"] = "Macro exceeds the 255 character limit!"
L["No Macro Text"] = "No macro commands given!"
L['This Macro will be used in any location you may fly!'] = true
L['This Macro will be used in any location you may ride!'] = true
L["This Macro will be used in Ahn'Qiraj"] = true
L["This Macro will be used in Combat and Indoors!"] = true
L["global"] = 'Globally'
L['char'] = 'per Character'
L['class'] = 'per Class'
L['race'] = 'per Race'
L['db'] = 'Macro selection will be saved:'
L['dbdesc'] = 'Select how you want Mounted to remember you macro selection.'
L['Preview'] = true
L['Toggle Preview'] = 'Parses macro and shows you possible result'

-- Mount types
L["%s: %s"] = '%s: %s'
L["g"] = "Ground Mount"
L["f"] = "Flying Mount"
L["310"] = "310%"
L["280"] = "280%"
L["100"] = "100%"
L["60"] = "60%"
L["40"] = "40%"
L["0"] = "Vanity"
L["aq"] = "Ahn'Qiraj"
L["s"] = "Scaling"
